Bug 243194

Summary: devel/binutils: enable gold on powerpc64 and powerpc
Product: Ports & Packages Reporter: Piotr Kubaj <pkubaj>
Component: Individual Port(s)Assignee: Piotr Kubaj <pkubaj>
Status: Closed FIXED    
Severity: Affects Only Me CC: jhibbits
Priority: --- Flags: bugzilla: maintainer-feedback? (bapt)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
none
v2
none
v3
none
v4 pkubaj: maintainer-approval? (bapt)

Description Piotr Kubaj freebsd_committer 2020-01-08 17:09:26 UTC
Created attachment 210541 [details]
patch

ld.gold now works fine on powerpc64.
Comment 1 Piotr Kubaj freebsd_committer 2020-01-08 17:31:32 UTC
Created attachment 210542 [details]
v2

Don't add -Wno-c++11-narrowing on powerpc64 elfv1.
Comment 2 Piotr Kubaj freebsd_committer 2020-01-08 17:56:52 UTC
Created attachment 210543 [details]
v3

gold has issues with elfv1. Use it only on elfv2.
Comment 3 Piotr Kubaj freebsd_committer 2020-01-08 19:43:48 UTC
Created attachment 210544 [details]
v4

Enable gold also on powerpc, seems to work. Base GCC can't build it so make it clang-only.
Comment 4 commit-hook freebsd_committer 2020-01-22 20:27:11 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Jan 22 20:27:00 UTC 2020
New revision: 523841
URL: https://svnweb.freebsd.org/changeset/ports/523841

Log:
  devel/binutils: enable gold on powerpc64 and powerpc

  ld.gold now works fine on powerpc64, but only when compiled with clang.

  PR:		243194
  Approved by:	bapt (maintainer timeout)

Changes:
  head/devel/binutils/Makefile
Comment 5 Piotr Kubaj freebsd_committer 2020-01-22 20:28:05 UTC
CC'ing jhibbits for testing powerpcspe.
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2020-08-15 06:16:12 UTC
Committed Wed Jan 22 20:27:00 UTC 2020 as r523841.